/* Unreality
 * Copyright (C) 2000 Bruno Barberi Gnecco
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, go to <http://www.gnu.org>.
 */

#ifndef U_RENDERER_H
#define U_RENDERER_H

struct u_intRenderer {

}

sInt 			u_initRenderer
		( struct u_renderer * );
sInt			u_endRenderer
		( void );

sInt			u_startObjExtra
		( void *extra );
sInt			u_freeObjExtra
		( void *extra );

sInt			u_startVehExtra
		( void *extra );
sInt			u_freeVehExtra
		( void *extra );

sInt			u_render
		( void );
void			u_setCamera
		( u_Vector, u_Vector, float );
	
uLong			u_addGeometry
		( u_Geometry * );
sInt			u_deleteGeometry
		( uLong id );

uLong			u_createLight
		( void * );
sInt			u_deleteLight
		( uLong  );

sInt			u_printMessage
		( char *message, ... );

#endif
